﻿using ProjectHotel.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectHotel.Repositories;

public interface IAthleteRepository
{
    IEnumerable<Athlete> ReadAthletes();
    Athlete ReadAthleteById(int id);
    void CreateAthlete(Athlete athlete);
    void UpdateAthlete(Athlete athlete);
    void DeleteAthlete(int id);
}
