﻿using ProjectHotel.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectHotel.Repositories;

public interface IRoomRepository
{

    IEnumerable<Room> ReadRooms();
    Room ReadRoomById(int id);
    void CreateRoom(Room room);
    void UpdateRoom(Room room);
    void DeleteRoom(int id);
}
