﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static System.Runtime.InteropServices.JavaScript.JSType;

namespace ProjectHotel.Entities;

public class Room
{
    public int Id { get; private set; }
    public int HotelId { get; private set; }
    public string Name { get; private set; } = string.Empty;
    public int Capacity { get; private set; }
    public static Room CreateEntity(int id, int hotel, string name, int capacity)
    {
        return new Room
        {
            Id = id,
            HotelId = hotel,
            Name = name,
            Capacity = capacity
        };
            
    }
}

